IAM
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of IAM service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
| Version | Status | Supported Until |
|---|
| 1.0 | DEPRECATED | 20260223 |
| 1.1 | SUPPORTED | 20260531 |
| 1.2 | CURRENT | - |
OpenAPI URL
https://iam.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - Add a permission into the resource based policy
1.1.1 - 1.2
post /v1/resource-policies/{srn}/statements
Description
Add a permission into the resource based policy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | srn required | 삼성 리소스 자원명 Example : c3JuOmRldjI6OjEyMzQ1Njc4OTAxMDIzNDU2OTA6a3Itd2VzdDE6OnZpcnR1YWxzZXJ2ZXI6dmlydHVhbC1zZXJ2ZXIvYWJjZGUtMTIzNC01NTU1LTY2NjY=
| string | None |
| body | body required |
| StatementCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | StatementResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/resource-policies/{srn}/statements
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
{
"Action": [
"virtualserver:ShowVirtualServer"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": "*",
"Resource": [
"srn:dev2::1234567890102345690:kr-west1::virtualserver:virtual-server/abcde-1234-5555-6666"
],
"Sid": "Statement1"
}
Example HTTP response
Response 201
{
"Statement": {
"Action": [
"virtualserver:ShowVirtualServer"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"Principal": "*",
"Resource": [
"srn:dev2::1234567890102345690:kr-west1::virtualserver:virtual-server/abcde-1234-5555-6666"
],
"Sid": "Statement1"
}
}
1.1.2 - 1.1
post /v1/resource-policies/{srn}/statements
Description
Add a permission into the resource based policy
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | srn required | 삼성 리소스 자원명 Example : c3JuOmRldjI6OjEyMzQ1Njc4OTAxMDIzNDU2OTA6a3Itd2VzdDE6OnZpcnR1YWxzZXJ2ZXI6dmlydHVhbC1zZXJ2ZXIvYWJjZGUtMTIzNC01NTU1LTY2NjY=
| string | None |
| body | body required |
| StatementCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | StatementResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/resource-policies/{srn}/statements
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
{
"Action": [
"virtualserver:ShowVirtualServer"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": "*",
"Resource": [
"srn:dev2::1234567890102345690:kr-west1::virtualserver:virtual-server/abcde-1234-5555-6666"
],
"Sid": "Statement1"
}
Example HTTP response
Response 201
{
"Statement": {
"Action": [
"virtualserver:ShowVirtualServer"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"Principal": "*",
"Resource": [
"srn:dev2::1234567890102345690:kr-west1::virtualserver:virtual-server/abcde-1234-5555-6666"
],
"Sid": "Statement1"
}
}
1.1.3 - 1.0
post /v1/resource-policies/{srn}/statements
Description
Add a permission into the resource based policy
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | srn required | 삼성 리소스 자원명 Example : c3JuOmRldjI6OjEyMzQ1Njc4OTAxMDIzNDU2OTA6a3Itd2VzdDE6OnZpcnR1YWxzZXJ2ZXI6dmlydHVhbC1zZXJ2ZXIvYWJjZGUtMTIzNC01NTU1LTY2NjY=
| string | None |
| body | body required |
| StatementCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | StatementResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/resource-policies/{srn}/statements
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
{
"Action": [
"virtualserver:ShowVirtualServer"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": "*",
"Resource": [
"srn:dev2::1234567890102345690:kr-west1::virtualserver:virtual-server/abcde-1234-5555-6666"
],
"Sid": "Statement1"
}
Example HTTP response
Response 201
{
"Statement": {
"Action": [
"virtualserver:ShowVirtualServer"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"Principal": "*",
"Resource": [
"srn:dev2::1234567890102345690:kr-west1::virtualserver:virtual-server/abcde-1234-5555-6666"
],
"Sid": "Statement1"
}
}
1.2 - Add a user to a group
1.2.1 - 1.2
post /v1/groups/{group_id}/members
Description
Add a user to a group
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | group_id required | Group ID Example : a946662dc4314dac93da413a32457459
| string | None |
| body | body required |
| GroupMemberCreateRequest | |
Responses
Example HTTP request
Request path
/v1/groups/{group_id}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
{
"user_id": "f39c460fade34fecb05ede8f904b24b7"
}
Example HTTP response
Response 200
{
"group_member": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"user_email": "samsung.kim@samsung.com",
"user_id": "f39c460fade34fecb05ede8f904b24b7",
"user_name": "Kim Samsung"
}
}
1.2.2 - 1.1
post /v1/groups/{group_id}/members
Description
Add a user to a group
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | group_id required | Group ID Example : a946662dc4314dac93da413a32457459
| string | None |
| body | body required |
| GroupMemberCreateRequest | |
Responses
Example HTTP request
Request path
/v1/groups/{group_id}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
{
"user_id": "f39c460fade34fecb05ede8f904b24b7"
}
Example HTTP response
Response 200
{
"group_member": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"user_email": "samsung.kim@samsung.com",
"user_id": "f39c460fade34fecb05ede8f904b24b7",
"user_name": "Kim Samsung"
}
}
1.2.3 - 1.0
post /v1/groups/{group_id}/members
Description
Add a user to a group
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | group_id required | Group ID Example : a946662dc4314dac93da413a32457459
| string | None |
| body | body required |
| GroupMemberCreateRequest | |
Responses
Example HTTP request
Request path
/v1/groups/{group_id}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
{
"user_id": "f39c460fade34fecb05ede8f904b24b7"
}
Example HTTP response
Response 200
{
"group_member": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"user_email": "samsung.kim@samsung.com",
"user_id": "f39c460fade34fecb05ede8f904b24b7",
"user_name": "Kim Samsung"
}
}
1.3 - Assign policies to the group
1.3.1 - 1.2
post /v1/groups/{group_id}/policy-bindings
Description
Assign policies to the group
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | group_id required | Group ID Example : a946662dc4314dac93da413a32457459
| string | None |
| body | body required |
| GroupPolicyBindingRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GroupPolicyResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/groups/{group_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
{
"policy_ids": [
"37f2e31ff86b415698d7e8eeafab445d"
]
}
Example HTTP response
Response 200
{
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
]
}
1.3.2 - 1.1
post /v1/groups/{group_id}/policy-bindings
Description
Assign policies to the group
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | group_id required | Group ID Example : a946662dc4314dac93da413a32457459
| string | None |
| body | body required |
| GroupPolicyBindingRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GroupPolicyResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/groups/{group_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
{
"policy_ids": [
"37f2e31ff86b415698d7e8eeafab445d"
]
}
Example HTTP response
Response 200
{
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
]
}
1.3.3 - 1.0
post /v1/groups/{group_id}/policy-bindings
Description
Assign policies to the group
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | group_id required | Group ID Example : a946662dc4314dac93da413a32457459
| string | None |
| body | body required |
| GroupPolicyBindingRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GroupPolicyResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/groups/{group_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
{
"policy_ids": [
"37f2e31ff86b415698d7e8eeafab445d"
]
}
Example HTTP response
Response 200
{
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
]
}
1.4 - Assign policies to user
1.4.1 - 1.2
post /v1/users/{user_id}/policy-bindings
Description
Assign policies to user
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | user_id required | 사용자 ID Example :
| string | None |
| body | body required |
| UserPolicyRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | UserPolicyResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/users/{user_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
Example HTTP response
Response 200
{
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
],
"user_id": ""
}
1.4.2 - 1.1
post /v1/users/{user_id}/policy-bindings
Description
Assign policies to user
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | user_id required | 사용자 ID Example :
| string | None |
| body | body required |
| UserPolicyRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | UserPolicyResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/users/{user_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
Example HTTP response
Response 200
{
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
],
"user_id": ""
}
1.4.3 - 1.0
post /v1/users/{user_id}/policy-bindings
Description
Assign policies to user
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | user_id required | 사용자 ID Example :
| string | None |
| body | body required |
| UserPolicyRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | UserPolicyResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/users/{user_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
Example HTTP response
Response 200
{
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
],
"user_id": ""
}
1.5 - Attach policies to Role
1.5.1 - 1.2
post /v1/roles/{role_id}/policy-bindings
Description
Attach policies to Role
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | RolePolicyBindingResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
Example HTTP response
Response 200
{
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
]
}
1.5.2 - 1.1
post /v1/roles/{role_id}/policy-bindings
Description
Attach policies to Role
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | RolePolicyBindingResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
Example HTTP response
Response 200
{
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
]
}
1.5.3 - 1.0
post /v1/roles/{role_id}/policy-bindings
Description
Attach policies to Role
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | RolePolicyBindingResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
Example HTTP response
Response 200
{
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
]
}
1.6 - Create a group
1.6.1 - 1.2
post /v1/groups
Description
Create a group
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | GroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
{
"description": "Descriptions for group",
"name": "TestGroup",
"policy_ids": [
"37f2e31ff86b415698d7e8eeafab445d"
],
"tags": [
{
"key": "company",
"value": "SDS"
}
],
"user_ids": [
"f39c460fade34fecb05ede8f904b24b7"
]
}
Example HTTP response
Response 201
{
"group": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"description": "Descriptions for group",
"domain_name": "scp",
"id": "f39c460fade34fecb05ede8f904b24b7",
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_created_at": "2024-05-17T00:23:17Z",
"creator_email": "samsung.kim@samsung.com",
"creator_last_login_at": "2024-05-17T00:23:17Z",
"creator_name": "Kim Samsung",
"group_names": [
"TestGroup",
"SampleGroup"
],
"user_created_at": "2024-05-17T00:23:17Z",
"user_email": "samsung.kim@samsung.com",
"user_id": "f39c460fade34fecb05ede8f904b24b7",
"user_last_login_at": "2024-05-17T00:23:17Z",
"user_name": "Kim Samsung"
}
],
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"name": "TestGroup",
"policies": [],
"resource_type": "group",
"roles": [],
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:dev1:::::iam:group/0e0688b33641451a83d2ab8878666fda",
"type": "USER_DEFINED"
}
}
1.6.2 - 1.1
post /v1/groups
Description
Create a group
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | GroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
{
"description": "Descriptions for group",
"name": "TestGroup",
"policy_ids": [
"37f2e31ff86b415698d7e8eeafab445d"
],
"tags": [
{
"key": "company",
"value": "SDS"
}
],
"user_ids": [
"f39c460fade34fecb05ede8f904b24b7"
]
}
Example HTTP response
Response 201
{
"group": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"description": "Descriptions for group",
"domain_name": "scp",
"id": "f39c460fade34fecb05ede8f904b24b7",
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_created_at": "2024-05-17T00:23:17Z",
"creator_email": "samsung.kim@samsung.com",
"creator_last_login_at": "2024-05-17T00:23:17Z",
"creator_name": "Kim Samsung",
"group_names": [
"TestGroup",
"SampleGroup"
],
"user_created_at": "2024-05-17T00:23:17Z",
"user_email": "samsung.kim@samsung.com",
"user_id": "f39c460fade34fecb05ede8f904b24b7",
"user_last_login_at": "2024-05-17T00:23:17Z",
"user_name": "Kim Samsung"
}
],
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"name": "TestGroup",
"policies": [],
"resource_type": "group",
"roles": [],
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:dev1:::::iam:group/0e0688b33641451a83d2ab8878666fda",
"type": "USER_DEFINED"
}
}
1.6.3 - 1.0
post /v1/groups
Description
Create a group
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | GroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
{
"description": "Descriptions for group",
"name": "TestGroup",
"policy_ids": [
"37f2e31ff86b415698d7e8eeafab445d"
],
"tags": [
{
"key": "company",
"value": "SDS"
}
],
"user_ids": [
"f39c460fade34fecb05ede8f904b24b7"
]
}
Example HTTP response
Response 201
{
"group": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"description": "Descriptions for group",
"domain_name": "scp",
"id": "f39c460fade34fecb05ede8f904b24b7",
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_created_at": "2024-05-17T00:23:17Z",
"creator_email": "samsung.kim@samsung.com",
"creator_last_login_at": "2024-05-17T00:23:17Z",
"creator_name": "Kim Samsung",
"group_names": [
"TestGroup",
"SampleGroup"
],
"user_created_at": "2024-05-17T00:23:17Z",
"user_email": "samsung.kim@samsung.com",
"user_id": "f39c460fade34fecb05ede8f904b24b7",
"user_last_login_at": "2024-05-17T00:23:17Z",
"user_name": "Kim Samsung"
}
],
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"name": "TestGroup",
"policies": [],
"resource_type": "group",
"roles": [],
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:dev1:::::iam:group/0e0688b33641451a83d2ab8878666fda",
"type": "USER_DEFINED"
}
}
1.7 - Create a policy
1.7.1 - 1.2
post /v1/policies
Description
Create a policy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | PolicyShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/policies
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
{
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_version": {
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"Principal": null,
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"policy_version_name": "PolicyVersion-1"
},
"service_type": "scp-iam",
"tags": [
{
"key": "foo",
"value": "bar"
}
]
}
Example HTTP response
Response 201
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
1.7.2 - 1.1
post /v1/policies
Description
Create a policy
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | PolicyShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/policies
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
{
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_version": {
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"Principal": null,
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"policy_version_name": "PolicyVersion-1"
},
"service_type": "scp-iam",
"tags": [
{
"key": "foo",
"value": "bar"
}
]
}
Example HTTP response
Response 201
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
1.7.3 - 1.0
post /v1/policies
Description
Create a policy
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | PolicyShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/policies
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
{
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_version": {
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"Principal": null,
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"policy_version_name": "PolicyVersion-1"
},
"service_type": "scp-iam",
"tags": [
{
"key": "foo",
"value": "bar"
}
]
}
Example HTTP response
Response 201
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
1.8 - Create a saml provider
1.8.1 - 1.2
post /v1/saml-providers
Description
Create a saml provider
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
Responses
Example HTTP request
Request path
/v1/saml-providers
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2,"
"Content-Type = multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW"
Request body
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="description"
SAML provider Description
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="federation_type"
SAML
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="file"; filename="keycloak-idp-saml.xml"
Content-Type: application/xml
(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="saml_provider_name"
IdpTest
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="tags"
[{'key': 'company', 'value': 'SDS'}]
------WebKitFormBoundary7MA4YWxkTrZu0gW--
Example HTTP response
Response 201
{
"account_id": "",
"acs_url": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_name": "",
"description": "",
"federation_type": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"idp_cert_end": "",
"idp_file_name": "",
"idp_file_size": "",
"idp_issuer_url": "",
"idp_sso_url": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_name": "",
"saml_provider_name": ""
}
1.8.2 - 1.1
post /v1/saml-providers
Description
Create a saml provider
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
Responses
Example HTTP request
Request path
/v1/saml-providers
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1,"
"Content-Type = multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW"
Request body
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="description"
SAML provider Description
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="federation_type"
SAML
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="file"; filename="keycloak-idp-saml.xml"
Content-Type: application/xml
(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="saml_provider_name"
IdpTest
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="tags"
[{'key': 'company', 'value': 'SDS'}]
------WebKitFormBoundary7MA4YWxkTrZu0gW--
Example HTTP response
Response 201
{
"account_id": "",
"acs_url": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_name": "",
"description": "",
"federation_type": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"idp_cert_end": "",
"idp_file_name": "",
"idp_file_size": "",
"idp_issuer_url": "",
"idp_sso_url": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_name": "",
"saml_provider_name": ""
}
1.8.3 - 1.0
post /v1/saml-providers
Description
Create a saml provider
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
Responses
Example HTTP request
Request path
/v1/saml-providers
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0,"
"Content-Type = multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW"
Request body
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="description"
SAML provider Description
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="federation_type"
SAML
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="file"; filename="keycloak-idp-saml.xml"
Content-Type: application/xml
(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="saml_provider_name"
IdpTest
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="tags"
[{'key': 'company', 'value': 'SDS'}]
------WebKitFormBoundary7MA4YWxkTrZu0gW--
Example HTTP response
Response 201
{
"account_id": "",
"acs_url": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_name": "",
"description": "",
"federation_type": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"idp_cert_end": "",
"idp_file_name": "",
"idp_file_size": "",
"idp_issuer_url": "",
"idp_sso_url": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_name": "",
"saml_provider_name": ""
}
1.9 - Create an access key
1.9.1 - 1.2
post /v1/access-keys
Description
Create an access key
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | AccessKeyResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/access-keys
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
{
"access_key_type": "PERMANENT",
"account_id": "f39c460fade34fecb05ede8f904b24b7",
"description": "description",
"duration": "P1Y2M10DT2H30M15S",
"parent_access_key_id": "92d6eid9e9ae4f868s842910k11573a3",
"passcode": "000000"
}
Example HTTP response
Response 201
{
"access_key": {
"access_key": "b754b12b39da4ce29a40c5e324650bd0",
"access_key_type": "PERMANENT",
"account_id": "f39c460fade34fecb05ede8f904b24b7",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "description",
"expiration_timestamp": "9999-12-31T23:59:59Z",
"id": "6558fc9df5b54c8a985465bdf637e097",
"is_enabled": "true",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"parent_access_key_id": "92d6eid9e9ae4f868s842910k11573a3",
"secret_key": "c4150149-f7c6-46bc-9faa-d2b9d20e0899"
}
}
1.9.2 - 1.1
post /v1/access-keys
Description
Create an access key
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | AccessKeyResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/access-keys
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
{
"access_key_type": "PERMANENT",
"account_id": "f39c460fade34fecb05ede8f904b24b7",
"description": "description",
"duration": "P1Y2M10DT2H30M15S",
"parent_access_key_id": "92d6eid9e9ae4f868s842910k11573a3",
"passcode": "000000"
}
Example HTTP response
Response 201
{
"access_key": {
"access_key": "b754b12b39da4ce29a40c5e324650bd0",
"access_key_type": "PERMANENT",
"account_id": "f39c460fade34fecb05ede8f904b24b7",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "description",
"expiration_timestamp": "9999-12-31T23:59:59Z",
"id": "6558fc9df5b54c8a985465bdf637e097",
"is_enabled": "true",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"parent_access_key_id": "92d6eid9e9ae4f868s842910k11573a3",
"secret_key": "c4150149-f7c6-46bc-9faa-d2b9d20e0899"
}
}
1.9.3 - 1.0
post /v1/access-keys
Description
Create an access key
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | AccessKeyResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/access-keys
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
{
"access_key_type": "PERMANENT",
"account_id": "f39c460fade34fecb05ede8f904b24b7",
"description": "description",
"duration": "P1Y2M10DT2H30M15S",
"parent_access_key_id": "92d6eid9e9ae4f868s842910k11573a3",
"passcode": "000000"
}
Example HTTP response
Response 201
{
"access_key": {
"access_key": "b754b12b39da4ce29a40c5e324650bd0",
"access_key_type": "PERMANENT",
"account_id": "f39c460fade34fecb05ede8f904b24b7",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "description",
"expiration_timestamp": "9999-12-31T23:59:59Z",
"id": "6558fc9df5b54c8a985465bdf637e097",
"is_enabled": "true",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"parent_access_key_id": "92d6eid9e9ae4f868s842910k11573a3",
"secret_key": "c4150149-f7c6-46bc-9faa-d2b9d20e0899"
}
}
1.10 - Create IAM user
1.10.1 - 1.2
post /v1/accounts/{account_id}/users
Description
Create IAM user
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | account_id required | Account ID Example :
| string | None |
| body | body required |
| IAMUserCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | IAMCreateUserResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/accounts/{account_id}/users
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
{
"description": "",
"group_ids": [
""
],
"password": "",
"policy_ids": [
""
],
"tags": [
""
],
"temporary_password": "",
"user_name": ""
}
Example HTTP response
Response 201
{
"account_id": "",
"company_name": "",
"console_url": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"dst_offset": "",
"email": "",
"email_authenticated": "",
"first_name": "",
"id": "",
"last_login_at": "",
"last_name": "",
"last_password_update_at": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"password": "",
"password_reuse_count": "",
"phone_authenticated": "",
"policies": [],
"state": "",
"timezone": "",
"type": "",
"tz_id": "",
"user_name": "",
"utc_offset": ""
}
1.10.2 - 1.1
post /v1/accounts/{account_id}/users
Description
Create IAM user
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | account_id required | Account ID Example :
| string | None |
| body | body required |
| IAMUserCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | IAMCreateUserResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/accounts/{account_id}/users
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
{
"description": "",
"group_ids": [
""
],
"password": "",
"policy_ids": [
""
],
"tags": [
""
],
"temporary_password": "",
"user_name": ""
}
Example HTTP response
Response 201
{
"account_id": "",
"company_name": "",
"console_url": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"dst_offset": "",
"email": "",
"email_authenticated": "",
"first_name": "",
"id": "",
"last_login_at": "",
"last_name": "",
"last_password_update_at": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"password": "",
"password_reuse_count": "",
"phone_authenticated": "",
"policies": [],
"state": "",
"timezone": "",
"type": "",
"tz_id": "",
"user_name": "",
"utc_offset": ""
}
1.10.3 - 1.0
post /v1/accounts/{account_id}/users
Description
Create IAM user
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | account_id required | Account ID Example :
| string | None |
| body | body required |
| IAMUserCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | IAMCreateUserResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/accounts/{account_id}/users
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
{
"description": "",
"group_ids": [
""
],
"password": "",
"policy_ids": [
""
],
"tags": [
""
],
"temporary_password": "",
"user_name": ""
}
Example HTTP response
Response 201
{
"account_id": "",
"company_name": "",
"console_url": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"dst_offset": "",
"email": "",
"email_authenticated": "",
"first_name": "",
"id": "",
"last_login_at": "",
"last_name": "",
"last_password_update_at": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"password": "",
"password_reuse_count": "",
"phone_authenticated": "",
"policies": [],
"state": "",
"timezone": "",
"type": "",
"tz_id": "",
"user_name": "",
"utc_offset": ""
}
1.11 - Create role
1.11.1 - 1.2
post /v1/roles
Description
Create role
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | RoleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/roles
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
{
"account_id": "",
"assume_role_policy_document": {
"Statement": [
{
"Action": [
"sts:AssumeRole"
],
"Condition": {},
"Effect": "Allow",
"Principal": "srn:e:1234:::iam:user/abc1234",
"Resource": [],
"Sid": "statement1"
}
],
"Version": "2024-07-01"
},
"description": "",
"max_session_duration": 3600,
"name": "",
"policy_ids": [
"37f2e31ff86b415698d7e8eeafab445d"
],
"principals": [
{
"type": "SRN",
"value": "srn:e:1234:::iam:user/abc1234"
}
],
"tags": [
{
"key": "company",
"value": "SDS"
}
]
}
Example HTTP response
Response 202
{
"role": {
"account_id": "",
"assume_role_policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "",
"creator_name": "",
"description": "",
"id": "f39c460fade34fecb05ede8f904b24b7",
"max_session_duration": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"modifier_email": "",
"modifier_name": "",
"name": "",
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
],
"type": "USER_DEFINED"
}
}
1.11.2 - 1.1
post /v1/roles
Description
Create role
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | RoleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/roles
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
{
"account_id": "",
"assume_role_policy_document": {
"Statement": [
{
"Action": [
"sts:AssumeRole"
],
"Condition": {},
"Effect": "Allow",
"Principal": "srn:e:1234:::iam:user/abc1234",
"Resource": [],
"Sid": "statement1"
}
],
"Version": "2024-07-01"
},
"description": "",
"max_session_duration": 3600,
"name": "",
"policy_ids": [
"37f2e31ff86b415698d7e8eeafab445d"
],
"principals": [
{
"type": "SRN",
"value": "srn:e:1234:::iam:user/abc1234"
}
],
"tags": [
{
"key": "company",
"value": "SDS"
}
]
}
Example HTTP response
Response 202
{
"role": {
"account_id": "",
"assume_role_policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "",
"creator_name": "",
"description": "",
"id": "f39c460fade34fecb05ede8f904b24b7",
"max_session_duration": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"modifier_email": "",
"modifier_name": "",
"name": "",
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
],
"type": "USER_DEFINED"
}
}
1.11.3 - 1.0
post /v1/roles
Description
Create role
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | RoleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/roles
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
{
"account_id": "",
"assume_role_policy_document": {
"Statement": [
{
"Action": [
"sts:AssumeRole"
],
"Condition": {},
"Effect": "Allow",
"Principal": "srn:e:1234:::iam:user/abc1234",
"Resource": [],
"Sid": "statement1"
}
],
"Version": "2024-07-01"
},
"description": "",
"max_session_duration": 3600,
"name": "",
"policy_ids": [
"37f2e31ff86b415698d7e8eeafab445d"
],
"principals": [
{
"type": "SRN",
"value": "srn:e:1234:::iam:user/abc1234"
}
],
"tags": [
{
"key": "company",
"value": "SDS"
}
]
}
Example HTTP response
Response 202
{
"role": {
"account_id": "",
"assume_role_policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "",
"creator_name": "",
"description": "",
"id": "f39c460fade34fecb05ede8f904b24b7",
"max_session_duration": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"modifier_email": "",
"modifier_name": "",
"name": "",
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
],
"type": "USER_DEFINED"
}
}
1.12 - Delete bulk role
1.12.1 - 1.2
delete /v1/roles/bulk
Description
Delete bulk role
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/roles/bulk
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
{
"account_id": "",
"role_ids": [
""
],
"role_names": [
""
]
}
Example HTTP response
Response 204
1.12.2 - 1.1
delete /v1/roles/bulk
Description
Delete bulk role
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/roles/bulk
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
{
"account_id": "",
"role_ids": [
""
],
"role_names": [
""
]
}
Example HTTP response
Response 204
1.12.3 - 1.0
delete /v1/roles/bulk
Description
Delete bulk role
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/roles/bulk
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
{
"account_id": "",
"role_ids": [
""
],
"role_names": [
""
]
}
Example HTTP response
Response 204
1.13 - Delete IAM user
1.13.1 - 1.2
delete /v1/accounts/{account_id}/users/{user_id}
Description
Delete IAM user
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | account_id required | Account ID Example :
| string | None |
| path | user_id required | User ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/accounts/{account_id}/users/{user_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Example HTTP response
Response 204
1.13.2 - 1.1
delete /v1/accounts/{account_id}/users/{user_id}
Description
Delete IAM user
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | account_id required | Account ID Example :
| string | None |
| path | user_id required | User ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/accounts/{account_id}/users/{user_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Example HTTP response
Response 204
1.14 - Delete IAM users
1.14.1 - 1.2
delete /v1/accounts/{account_id}/users/bulk
Description
Delete IAM users
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | account_id required | Account ID Example :
| string | None |
| body | body required |
| IAMUserDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/accounts/{account_id}/users/bulk
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
Example HTTP response
Response 204
1.14.2 - 1.1
delete /v1/accounts/{account_id}/users/bulk
Description
Delete IAM users
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | account_id required | Account ID Example :
| string | None |
| body | body required |
| IAMUserDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/accounts/{account_id}/users/bulk
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
Example HTTP response
Response 204
1.14.3 - 1.0
delete /v1/accounts/{account_id}/users/bulk
Description
Delete IAM users
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | account_id required | Account ID Example :
| string | None |
| body | body required |
| IAMUserDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/accounts/{account_id}/users/bulk
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
Example HTTP response
Response 204
1.15 - Delete role
1.15.1 - 1.2
delete /v1/roles/{role_id}
Description
Delete role
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | role_id required | 역할 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Example HTTP response
Response 204
1.15.2 - 1.1
delete /v1/roles/{role_id}
Description
Delete role
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | role_id required | 역할 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Example HTTP response
Response 204
1.15.3 - 1.0
delete /v1/roles/{role_id}
Description
Delete role
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | role_id required | 역할 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Example HTTP response
Response 204
1.16 - Delete the policy
1.16.1 - 1.2
delete /v1/policies/{policy_id}
Description
Delete the policy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | policy_id required | Policy ID Example : 37f2e31ff86b415698d7e8eeafab445d
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/policies/{policy_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Example HTTP response
Response 204
1.16.2 - 1.1
delete /v1/policies/{policy_id}
Description
Delete the policy
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | policy_id required | Policy ID Example : 37f2e31ff86b415698d7e8eeafab445d
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/policies/{policy_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Example HTTP response
Response 204
1.16.3 - 1.0
delete /v1/policies/{policy_id}
Description
Delete the policy
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | policy_id required | Policy ID Example : 37f2e31ff86b415698d7e8eeafab445d
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/policies/{policy_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Example HTTP response
Response 204
1.17 - Delete the resource based policy
1.17.1 - 1.2
delete /v1/resource-policies/{srn}
Description
Delete the resource based policy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | srn required | 삼성 리소스 자원명 Example : c3JuOmRldjI6OjEyMzQ1Njc4OTAxMDIzNDU2OTA6a3Itd2VzdDE6OnZpcnR1YWxzZXJ2ZXI6dmlydHVhbC1zZXJ2ZXIvYWJjZGUtMTIzNC01NTU1LTY2NjY=
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/resource-policies/{srn}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Example HTTP response
Response 204
1.17.2 - 1.1
delete /v1/resource-policies/{srn}
Description
Delete the resource based policy
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | srn required | 삼성 리소스 자원명 Example : c3JuOmRldjI6OjEyMzQ1Njc4OTAxMDIzNDU2OTA6a3Itd2VzdDE6OnZpcnR1YWxzZXJ2ZXI6dmlydHVhbC1zZXJ2ZXIvYWJjZGUtMTIzNC01NTU1LTY2NjY=
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/resource-policies/{srn}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Example HTTP response
Response 204
1.17.3 - 1.0
delete /v1/resource-policies/{srn}
Description
Delete the resource based policy
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | srn required | 삼성 리소스 자원명 Example : c3JuOmRldjI6OjEyMzQ1Njc4OTAxMDIzNDU2OTA6a3Itd2VzdDE6OnZpcnR1YWxzZXJ2ZXI6dmlydHVhbC1zZXJ2ZXIvYWJjZGUtMTIzNC01NTU1LTY2NjY=
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/resource-policies/{srn}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Example HTTP response
Response 204
1.18 - Delete user policy
1.18.1 - 1.2
delete /v1/users/{user_id}/policy-bindings/{policy_id}
Description
Delete user policy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | user_id required | 사용자 ID Example :
| string | None |
| path | policy_id required | Policy ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/users/{user_id}/policy-bindings/{policy_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Example HTTP response
Response 204
1.18.2 - 1.1
delete /v1/users/{user_id}/policy-bindings/{policy_id}
Description
Delete user policy
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | user_id required | 사용자 ID Example :
| string | None |
| path | policy_id required | Policy ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/users/{user_id}/policy-bindings/{policy_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Example HTTP response
Response 204
1.18.3 - 1.0
delete /v1/users/{user_id}/policy-bindings/{policy_id}
Description
Delete user policy
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | user_id required | 사용자 ID Example :
| string | None |
| path | policy_id required | Policy ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/users/{user_id}/policy-bindings/{policy_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Example HTTP response
Response 204
1.19 - Detach policies to Role
1.19.1 - 1.2
delete /v1/roles/{role_id}/policy-bindings
Description
Detach policies to Role
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
Example HTTP response
Response 204
1.19.2 - 1.1
delete /v1/roles/{role_id}/policy-bindings
Description
Detach policies to Role
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Request body
Example HTTP response
Response 204
1.19.3 - 1.0
delete /v1/roles/{role_id}/policy-bindings
Description
Detach policies to Role
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}/policy-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Request body
Example HTTP response
Response 204
1.20 - Detach policy to Role
1.20.1 - 1.2
delete /v1/roles/{role_id}/policy-bindings/{policy_id}
Description
Detach policy to Role
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | role_id required | 역할 ID Example :
| string | None |
| path | policy_id required | 역할에 연결된 정책 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}/policy-bindings/{policy_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Example HTTP response
Response 204
1.20.2 - 1.1
delete /v1/roles/{role_id}/policy-bindings/{policy_id}
Description
Detach policy to Role
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | role_id required | 역할 ID Example :
| string | None |
| path | policy_id required | 역할에 연결된 정책 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}/policy-bindings/{policy_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Example HTTP response
Response 204
1.20.3 - 1.0
delete /v1/roles/{role_id}/policy-bindings/{policy_id}
Description
Detach policy to Role
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | role_id required | 역할 ID Example :
| string | None |
| path | policy_id required | 역할에 연결된 정책 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/roles/{role_id}/policy-bindings/{policy_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Example HTTP response
Response 204
1.21 - Get a Group
1.21.1 - 1.2
get /v1/groups/{group_id}
Description
Get a Group
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | group_id required | Group ID Example : a946662dc4314dac93da413a32457459
| string | None |
Responses
Example HTTP request
Request path
/v1/groups/{group_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Example HTTP response
Response 200
{
"group": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"description": "Descriptions for group",
"domain_name": "scp",
"id": "f39c460fade34fecb05ede8f904b24b7",
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_created_at": "2024-05-17T00:23:17Z",
"creator_email": "samsung.kim@samsung.com",
"creator_last_login_at": "2024-05-17T00:23:17Z",
"creator_name": "Kim Samsung",
"group_names": [
"TestGroup",
"SampleGroup"
],
"user_created_at": "2024-05-17T00:23:17Z",
"user_email": "samsung.kim@samsung.com",
"user_id": "f39c460fade34fecb05ede8f904b24b7",
"user_last_login_at": "2024-05-17T00:23:17Z",
"user_name": "Kim Samsung"
}
],
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"name": "TestGroup",
"policies": [],
"resource_type": "group",
"roles": [],
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:dev1:::::iam:group/0e0688b33641451a83d2ab8878666fda",
"type": "USER_DEFINED"
}
}
1.21.2 - 1.1
get /v1/groups/{group_id}
Description
Get a Group
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | group_id required | Group ID Example : a946662dc4314dac93da413a32457459
| string | None |
Responses
Example HTTP request
Request path
/v1/groups/{group_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Example HTTP response
Response 200
{
"group": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"description": "Descriptions for group",
"domain_name": "scp",
"id": "f39c460fade34fecb05ede8f904b24b7",
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_created_at": "2024-05-17T00:23:17Z",
"creator_email": "samsung.kim@samsung.com",
"creator_last_login_at": "2024-05-17T00:23:17Z",
"creator_name": "Kim Samsung",
"group_names": [
"TestGroup",
"SampleGroup"
],
"user_created_at": "2024-05-17T00:23:17Z",
"user_email": "samsung.kim@samsung.com",
"user_id": "f39c460fade34fecb05ede8f904b24b7",
"user_last_login_at": "2024-05-17T00:23:17Z",
"user_name": "Kim Samsung"
}
],
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"name": "TestGroup",
"policies": [],
"resource_type": "group",
"roles": [],
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:dev1:::::iam:group/0e0688b33641451a83d2ab8878666fda",
"type": "USER_DEFINED"
}
}
1.21.3 - 1.0
get /v1/groups/{group_id}
Description
Get a Group
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | group_id required | Group ID Example : a946662dc4314dac93da413a32457459
| string | None |
Responses
Example HTTP request
Request path
/v1/groups/{group_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"
Example HTTP response
Response 200
{
"group": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"description": "Descriptions for group",
"domain_name": "scp",
"id": "f39c460fade34fecb05ede8f904b24b7",
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_created_at": "2024-05-17T00:23:17Z",
"creator_email": "samsung.kim@samsung.com",
"creator_last_login_at": "2024-05-17T00:23:17Z",
"creator_name": "Kim Samsung",
"group_names": [
"TestGroup",
"SampleGroup"
],
"user_created_at": "2024-05-17T00:23:17Z",
"user_email": "samsung.kim@samsung.com",
"user_id": "f39c460fade34fecb05ede8f904b24b7",
"user_last_login_at": "2024-05-17T00:23:17Z",
"user_name": "Kim Samsung"
}
],
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"name": "TestGroup",
"policies": [],
"resource_type": "group",
"roles": [],
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:dev1:::::iam:group/0e0688b33641451a83d2ab8878666fda",
"type": "USER_DEFINED"
}
}
1.22 - Get a specific policy binding list
1.22.1 - 1.2
get /v1/policies/{policy_id}/bindings
Description
Get a specific policy binding list
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | policy_id required | Policy ID Example : 37f2e31ff86b415698d7e8eeafab445d
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | identity_id optional | Identity ID Example : f39c460fade34fecb05ede8f904b24b7
| any of [string, null] | None |
| query | identity_type optional | Identity Type Example : GROUP
| any of [string, null] | None |
| query | name optional | Name Example : TestGroup
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | PolicyBindingPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/policies/{policy_id}/bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Example HTTP response
Response 200
{
"count": 20,
"groups": [
{
"created_at": "2025-03-26T10:18:04Z",
"created_by": "4a816a3f5099442ebb52daefc1f7be32",
"creator_email": "-",
"creator_name": "-",
"description": "openapi-ga2-test-group",
"domain_name": "scp",
"id": "19fca177a57940daa5817960373c6542",
"modified_at": "2025-03-26T10:18:04Z",
"modified_by": "4a816a3f5099442ebb52daefc1f7be32",
"modifier_email": "-",
"modifier_name": "-",
"name": "openapi-ga2-testgroup5",
"policies": [],
"roles": [],
"srn": "srn:dev2::1d9cc99917ff41bb992276ac0ae9e4c8:::iam:group/19fca177a57940daa5817960373c6542",
"type": "USER_DEFINED"
}
],
"page": 0,
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"roles": [
{
"account_id": "d7aba97100564b34a0f4f77c4bc7a303",
"assume_role_policy_document": {
"Statement": [
{
"Action": "*",
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": "*",
"Principal": "*",
"Resource": "*",
"Sid": "statement1"
}
],
"Version": "2024-07-01"
},
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "-",
"creator_name": "-",
"description": "string",
"id": "f39c460fade34fecb05ede8f904b24b7",
"max_session_duration": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"modifier_email": "-",
"modifier_name": "-",
"name": "string",
"type": "DEFAULT"
}
],
"size": 20,
"sort": [
"created_at:asc"
],
"users": [
{
"access_control": false,
"account_id": "d7aba97100564b34a0f4f77c4bc7a303",
"account_name": "",
"allowed_ip_addresses": "",
"company_name": "",
"created_at": "2024-11-15T06:57:42.000000Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"domain_name": "scp",
"dst_offset": "+09:00",
"email": "samsung.kim@samsung.com",
"email_authenticate_code": "8ada8861bad2423295e4bb576bee5886",
"email_authenticated": true,
"first_name": "",
"groups": [],
"id": "90dddfc2b1e04edba54ba2b41539a9ac",
"keycloak_id": "127e3d8c-66dc-4b1b-b38b-9a1d0c6d5507",
"keystone_credential": "",
"last_login_at": "2024-11-25T06:57:42.000000Z",
"last_name": "",
"last_password_update_at": "",
"login_id": "",
[...]
